kind: Route
apiVersion: route.openshift.io/v1
metadata:
  name: hello-world
spec:
  to:
    kind: Service
    name: hello-world
    weight: 100
  tls:
    termination: edge
    insecureEdgeTerminationPolicy: Redirect